/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#include "Assets/AssetActions_InworldTextEmbeddings.h"

#include "Primitives/TextEmbedder/InworldTextEmbedding.h"

#define LOCTEXT_NAMESPACE "AssetActions_InworldTextEmbeddings"

FAssetActions_InworldTextEmbeddings::FAssetActions_InworldTextEmbeddings(EAssetTypeCategories::Type InAssetCategory)
	: MyAssetCategory(InAssetCategory)
{
}

FText FAssetActions_InworldTextEmbeddings::GetName() const
{
	return LOCTEXT("FAssetActions_CreateInworldTextEmbeddings", "Inworld Text Embeddings");
}

FColor FAssetActions_InworldTextEmbeddings::GetTypeColor() const
{
	return FColor(129, 196, 115);
}

UClass* FAssetActions_InworldTextEmbeddings::GetSupportedClass() const
{
	return UInworldTextEmbeddingAsset::StaticClass();
}

uint32 FAssetActions_InworldTextEmbeddings::GetCategories()
{
	return MyAssetCategory;
}

#undef LOCTEXT_NAMESPACE
